datan

## Class MinPow

- java.lang.Object
- - datan.MinPow

-     public final class MinPow
      extends java.lang.Object

  A class determining the minimum of a function in n-dimensional space by Powell's method of selected directions.
  Author:
    Siegmund Brandt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinPow(DatanVector x0, DatanUserFunction muf)`
    `MinPow(DatanVector x0, int[] list, DatanUserFunction muf)`
    `MinPow(DatanVector x0, int[] list, int nstep, double epsilon, DatanUserFunction muf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getMinimum()`
    `DatanVector` | `getMinPosition()`
    `int` | `getSteps()`
    `boolean` | `hasConverged()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinPow

          public MinPow(DatanVector x0,
                int[] list,
                DatanUserFunction muf)

    - #### MinPow

          public MinPow(DatanVector x0,
                DatanUserFunction muf)

    - #### MinPow

          public MinPow(DatanVector x0,
                int[] list,
                int nstep,
                double epsilon,
                DatanUserFunction muf)

      Parameters:
        `x0` - initial point in n-space.
        `list` - array containing the elements of a list specifying which of the n variables are fixed (list element = 0) and which are adjustable (list element = 1).
        `nstep` - maximal step number. Default: if a value <= 0 is used, then 1000 is taken instead.
        `epsilon` - accuracy. Default if a value <= 0. is used, then 1,E-8 is taken instead.
        `muf` - user function which must be an extension of the abstract class DatanUserFunction.

  - ### Method Detail

    - #### getSteps

          public int getSteps()

      Returns:
        the number of iteration steps needed, -1 if iteration failed.

    - #### hasConverged

          public boolean hasConverged()

      Returns:
        true if iteration successful, false otherwise.

    - #### getMinPosition

          public DatanVector getMinPosition()

      Returns:
        the postion of the minimum.

    - #### getMinimum

          public double getMinimum()

      Returns:
        the function value at the minimum.